Subject: Re: linux-next: Tree for Aug 19 (amdgpu)

From: "Kuehling, Felix" <[email-masked]>
Date: Wed, 21 Aug 2019 15:34:12 +0000

On 2019-08-20 8:36 a.m., Jason Gunthorpe wrote:
> On Tue, Aug 20, 2019 at 11:45:54AM +1000, Stephen Rothwell wrote:
>> Hi all,
>>
>> On Mon, 19 Aug 2019 18:34:41 -0700 Randy Dunlap <[email-masked]> wrote:
>>> On 8/19/19 2:18 AM, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> Changes since 20190816:
>>>>    
>>> on x86_64:
>>>
>>> ../drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c: In function ‘amdgpu_exit’:
>>> ../drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c:1471:2: error: implicit declaration of function ‘mmu_notifier_synchronize’; did you mean ‘__sync_synchronize’? [-Werror=implicit-function-declaration]
>>>    mmu_notifier_synchronize();
>>>    ^~~~~~~~~~~~~~~~~~~~~~~~
>>>    __sync_synchronize
>>>
>>>
>>> Full randconfig file is attached.
>> Caused by commit
>>
>>    6832c9dc8358 ("hmm: use mmu_notifier_get/put for 'struct hmm'")
>>
>> from the hmm tree.
>>
>> drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c need to include linux/mmu_notifier.h
> Ah yes, thanks, it is because of !CONFIG_HMM_MIRROR in this
> randconfig. I've fixed it up.

Thanks Jason. I'm trying to follow what's going on here, but I can't 
find the commit hash quoted above in any of the public repositories I'm 
tracking:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
https://git.kernel.org/pub/scm/linux/kernel/git/rdma/rdma.git
ssh://git.freedesktop.org/git/drm/drm
ssh://people.freedesktop.org/~agd5f/linux
ssh://people.freedesktop.org/~glisse/linux

Where is this work happening?

Thanks,
   Felix

>
> Regards,
> Jason
>
> _______________________________________________
> amd-gfx mailing list
> [email-masked]
> https://lists.freedesktop.org/mailman/listinfo/amd-gfx